#74 closed task (fixed)

Tomcat plugins

Reported by: runesk@… Owned by: jo
Priority: normal Milestone: Munin 1.4
Component: plugins Version: 1.3.3
Severity: critical Keywords: tomcat plugins
Cc: None

Description

I've written 4 plugins to monitor a tomcat; accesses, threads, bytes and jvm memory usage. The plugins are heavily influed by the apache plugins.

All four plugins depends on LWP::UserAgent and XML::Simple.

Configure your tomcat by adding a munin user to $CATALINA_HOME/conf/tomcat-users.xml

<user username="munin" password="<set this>" roles="standard,manager"/ >

Then add something like this to /etc/munin/plugin-conf.d/munin-node

[tomcat*]
   env.user munin
   env.password <set this>

Attachments (2)

tomcat-plugins.tar.gz (2.0 KB) - added by runesk@… at 2006-01-11T14:43:05+01:00.
TGZ containing all 4 plugins
tomcat-plugins.tar.2.gz (2.0 KB) - added by runesk@… at 2006-01-11T15:11:10+01:00.
Small fix to tomcat_jvm

Download all attachments as: .zip

Change History (5)

Changed at 2006-01-11T14:43:05+01:00 by runesk@…

TGZ containing all 4 plugins

Changed at 2006-01-11T15:11:10+01:00 by runesk@…

Small fix to tomcat_jvm

comment:1 Changed at 2006-01-11T15:12:16+01:00 by runesk@…

changed tomcat_jvm to use used instead of total

comment:2 Changed at 2006-08-25T01:27:28+02:00 by janl

  • Resolution set to fixed
  • Status changed from new to closed

comitted

comment:3 Changed at 2006-10-19T10:47:01+02:00 by janl

  • Milestone changed from Z-later to Munin 1.4
Note: See TracTickets for help on using tickets.